Import Debian version 0.7 debian/0.7
authorSteve McIntyre <steve@einval.com>
Tue, 16 Feb 2010 10:31:42 +0000 (10:31 +0000)
committerSteve McIntyre <steve@einval.com>
Fri, 7 Jun 2019 17:53:33 +0000 (18:53 +0100)
apt-update (0.7) stable; urgency=low

  * Add a new script apt-update, factoring out most of the cron job
    there.

apt-update
cron [new file with mode: 0755]
debian/changelog
debian/debhelper.log [new file with mode: 0644]
debian/rules
debian/tmp/DEBIAN/control
debian/tmp/DEBIAN/md5sums
debian/tmp/etc/cron.daily/apt-update
debian/tmp/usr/sbin/apt-update [new file with mode: 0755]
debian/tmp/usr/share/doc/apt-update/changelog.gz

index 1b80266..b792970 100755 (executable)
@@ -17,10 +17,6 @@ TMPFILE=/etc/apt/update.tmp
 
 . /etc/apt/update.conf
 
-if [ "$MAILTO"x = ""x ] ; then
-    MAILTO=postmaster
-fi
-
 for CHROOT in $CHROOTS
 do
   if [ $CHROOT = / ] ; then
@@ -54,10 +50,8 @@ do
 done
 
 if [ "$UPDATE_LIST"x != ""x ] ; then
-    HOST=`uname -n`
-
     # If we've been configured to download packages, grab them now
-    # before we send mail
+    # before we finish
     if [ "$DOWNLOAD_DEBS"x = "yes"x ] ; then
         for CHROOT in $CHROOT_UPDATED
             do
@@ -75,8 +69,6 @@ if [ "$UPDATE_LIST"x != ""x ] ; then
         UPDATE_LIST="$UPDATE_LIST\n\nPackage(s) downloaded and ready to install\n"
     fi
 
-    # Now send mail to the local admin
-    UPDATE_LIST="On $HOST the following packages need upgrading:\n$UPDATE_LIST"
-    echo -e $UPDATE_LIST | mail -s "$HOST needs software updates" $MAILTO
+    echo -e "$UPDATE_LIST"
 fi
 
diff --git a/cron b/cron
new file mode 100755 (executable)
index 0000000..992f660
--- /dev/null
+++ b/cron
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# apt-update cron job
+#
+# Simple wrapper script for cron to use - check for updated packages
+# and mail admin with any recommended upgrades.
+# 
+# Assumes that apt is configured correctly before we start...
+#
+# Steve McIntyre 26/09/2001
+
+. /etc/apt/update.conf
+
+if [ "$MAILTO"x = ""x ] ; then
+    MAILTO=postmaster
+fi
+
+UPDATE_LIST=`apt-update`
+HOST=`uname -n`
+
+if [ "$UPDATE_LIST"x != ""x ] ; then
+    # Now send mail to the local admin
+    UPDATE_LIST="On $HOST the following packages need upgrading:\n$UPDATE_LIST"
+    echo -e "$UPDATE_LIST" | mail -s "$HOST needs software updates" $MAILTO
+fi
index 45dfdef..dedc1e9 100644 (file)
@@ -1,3 +1,10 @@
+apt-update (0.7) stable; urgency=low
+
+  * Add a new script apt-update, factoring out most of the cron job
+    there.
+
+ -- Steve McIntyre <steve@einval.com>  Tue, 16 Feb 2010 10:31:42 +0000
+
 apt-update (0.6) stable; urgency=low
 
   * Check for warnings from apt during the apt-get update phase
diff --git a/debian/debhelper.log b/debian/debhelper.log
new file mode 100644 (file)
index 0000000..4a9a299
--- /dev/null
@@ -0,0 +1,11 @@
+dh_installdirs
+dh_installdocs
+dh_installchangelogs
+dh_movefiles
+dh_strip
+dh_compress
+dh_gencontrol
+dh_installdeb
+dh_fixperms
+dh_md5sums
+dh_builddeb
index be5fef3..828378a 100755 (executable)
@@ -28,7 +28,8 @@ binary-arch: build
        dh_clean -k
        dh_installdirs -A etc/cron.daily etc/apt usr/sbin
 
-       install -m 755 apt-update debian/tmp/etc/cron.daily
+       install -m 755 cron debian/tmp/etc/cron.daily/apt-update
+       install -m 755 apt-update debian/tmp/usr/sbin
        install -m 755 apt-dist-upgrade debian/tmp/usr/sbin
        install -m 444 update.conf debian/tmp/etc/apt
 
index 0f4d1ee..5c1c02f 100644 (file)
@@ -1,9 +1,9 @@
 Package: apt-update
-Version: 0.6
-Section: base
-Priority: standard
+Version: 0.7
 Architecture: all
-Installed-Size: 60
 Maintainer: Steve McIntyre <steve@einval.com>
+Installed-Size: 64
+Section: base
+Priority: standard
 Description: Useful apt wrappers
  Cron wrapper for buildd machines
index fdb3bef..12dc5e2 100644 (file)
@@ -1,3 +1,4 @@
-d890efb3264a5a274185afaac973e251  usr/sbin/apt-dist-upgrade
+bcccc3c8bc288beafafd9e3ace48066c  usr/share/doc/apt-update/changelog.gz
 ecba137529ebdecd0e9196e88a6ba3aa  usr/share/doc/apt-update/copyright
-27e6c2ee24529b2ae8574a4e8d6e7b00  usr/share/doc/apt-update/changelog.gz
+d890efb3264a5a274185afaac973e251  usr/sbin/apt-dist-upgrade
+54760478bb495fa2b1c91e375dc4e263  usr/sbin/apt-update
index 5c93351..dbf99a0 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# apt-update
+# apt-update cron job
 #
 # Simple wrapper script for cron to use - check for updated packages
 # and mail admin with any recommended upgrades.
@@ -9,74 +9,17 @@
 #
 # Steve McIntyre 26/09/2001
 
-unset LANGUAGE
-unset LANG
-unset LC_ALL
-
-TMPFILE=/etc/apt/update.tmp
-
 . /etc/apt/update.conf
 
 if [ "$MAILTO"x = ""x ] ; then
     MAILTO=postmaster
 fi
 
-for CHROOT in $CHROOTS
-do
-  if [ $CHROOT = / ] ; then
-      CHR=""
-  else
-      CHR="chroot $CHROOT"
-  fi
-  $CHR apt-get update >/dev/null
-  error=$?
-  if [ $error -ne 0 ] ; then
-      echo $CHR update failed with error $error
-      echo
-  fi
-  # And also check for warnings:
-  grep -q ^W $TMPFILE
-  if [ $? -eq 0 ] ; then
-      echo "$CHR update gave the following warnings:"
-      grep ^W $TMPFILE
-  fi
-  rm -f $TMPFILE
-
-  THIS_LIST=`$CHR apt-get -s -u upgrade | awk '/^Inst/ {print $2}'`
-  if [ "$THIS_LIST"x != ""x ] ; then
-      UPDATE_LIST="$UPDATE_LIST\n$CHROOT:\n"
-      for PKG in $THIS_LIST
-      do
-          UPDATE_LIST="$UPDATE_LIST $PKG\n"
-      done
-      CHROOT_UPDATED="$CHROOT_UPDATED $CHROOT"
-  fi
-done
+UPDATE_LIST=`apt-update`
+HOST=`uname -n`
 
 if [ "$UPDATE_LIST"x != ""x ] ; then
-    HOST=`uname -n`
-
-    # If we've been configured to download packages, grab them now
-    # before we send mail
-    if [ "$DOWNLOAD_DEBS"x = "yes"x ] ; then
-        for CHROOT in $CHROOT_UPDATED
-            do
-            if [ $CHROOT = / ] ; then
-                CHR=""
-            else
-                CHR="chroot $CHROOT"
-            fi
-            $CHR apt-get -d -y dist-upgrade > /dev/null
-            error=$?
-            if [ $error -ne 0 ] ; then
-                echo $CHR package download failed with error $error
-            fi
-        done
-        UPDATE_LIST="$UPDATE_LIST\n\nPackage(s) downloaded and ready to install\n"
-    fi
-
     # Now send mail to the local admin
     UPDATE_LIST="On $HOST the following packages need upgrading:\n$UPDATE_LIST"
     echo -e $UPDATE_LIST | mail -s "$HOST needs software updates" $MAILTO
 fi
-
diff --git a/debian/tmp/usr/sbin/apt-update b/debian/tmp/usr/sbin/apt-update
new file mode 100755 (executable)
index 0000000..1d32863
--- /dev/null
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# apt-update
+#
+# Simple wrapper script for cron to use - check for updated packages
+# and mail admin with any recommended upgrades.
+# 
+# Assumes that apt is configured correctly before we start...
+#
+# Steve McIntyre 26/09/2001
+
+unset LANGUAGE
+unset LANG
+unset LC_ALL
+
+TMPFILE=/etc/apt/update.tmp
+
+. /etc/apt/update.conf
+
+for CHROOT in $CHROOTS
+do
+  if [ $CHROOT = / ] ; then
+      CHR=""
+  else
+      CHR="chroot $CHROOT"
+  fi
+  $CHR apt-get update > $TMPFILE 2>&1
+  error=$?
+  if [ $error -ne 0 ] ; then
+      echo $CHR update failed with error $error
+      echo
+  fi
+  # And also check for warnings:
+  grep -q ^W $TMPFILE
+  if [ $? -eq 0 ] ; then
+      echo "$CHR update gave the following warnings:"
+      grep ^W $TMPFILE
+  fi
+  rm -f $TMPFILE
+
+  THIS_LIST=`$CHR apt-get -s -u upgrade | awk '/^Inst/ {print $2}'`
+  if [ "$THIS_LIST"x != ""x ] ; then
+      UPDATE_LIST="$UPDATE_LIST\n$CHROOT:\n"
+      for PKG in $THIS_LIST
+      do
+          UPDATE_LIST="$UPDATE_LIST $PKG\n"
+      done
+      CHROOT_UPDATED="$CHROOT_UPDATED $CHROOT"
+  fi
+done
+
+if [ "$UPDATE_LIST"x != ""x ] ; then
+    # If we've been configured to download packages, grab them now
+    # before we finish
+    if [ "$DOWNLOAD_DEBS"x = "yes"x ] ; then
+        for CHROOT in $CHROOT_UPDATED
+            do
+            if [ $CHROOT = / ] ; then
+                CHR=""
+            else
+                CHR="chroot $CHROOT"
+            fi
+            $CHR apt-get -d -y dist-upgrade > /dev/null
+            error=$?
+            if [ $error -ne 0 ] ; then
+                echo $CHR package download failed with error $error
+            fi
+        done
+        UPDATE_LIST="$UPDATE_LIST\n\nPackage(s) downloaded and ready to install\n"
+    fi
+
+    echo -e $UPDATE_LIST
+fi
+
index 5db29d5..600e57f 100644 (file)
Binary files a/debian/tmp/usr/share/doc/apt-update/changelog.gz and b/debian/tmp/usr/share/doc/apt-update/changelog.gz differ